Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.wih
Class ExternalTaskEventListener

    java.lang.Object
      org.jbpm.task.wih.ExternalTaskEventListener

All Implemented Interfaces:
  TaskLifeCycleEventListener

    @ApplicationScoped
    public class ExternalTaskEventListener

extends Object
implements TaskLifeCycleEventListener

Constructor Summary
`ExternalTaskEventListener()`

Method Summary
`void` | `addSession(KieSession session, ClassLoader classLoader)`
`void` | `addSession(org.kie.runtime.StatefulKnowledgeSession session)`
`void` | `afterTaskActivatedEvent(Task ti)`
`void` | `afterTaskAddedEvent(Task ti)`
`void` | `afterTaskClaimedEvent(Task ti)`
`void` | `afterTaskCompletedEvent(Task task)`
`void` | `afterTaskExitedEvent(Task ti)`
`void` | `afterTaskFailedEvent(Task task)`
`void` | `afterTaskSkippedEvent(Task task)`
`void` | `afterTaskStartedEvent(Task ti)`
`void` | `afterTaskStoppedEvent(Task ti)`
`TaskServiceEntryPoint` | `getTaskService()`
`void` | `processTaskState(Task task)`
`void` | `setTaskService(TaskServiceEntryPoint taskService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalTaskEventListener

    public ExternalTaskEventListener()

Method Detail

### getTaskService

    public TaskServiceEntryPoint getTaskService()

### setTaskService

    public void setTaskService(TaskServiceEntryPoint taskService)

### addSession

    public void addSession(org.kie.runtime.StatefulKnowledgeSession session)

### addSession

    public void addSession(KieSession session,
                           ClassLoader classLoader)

### processTaskState

    public void processTaskState(Task task)

### afterTaskActivatedEvent

    public void afterTaskActivatedEvent(Task ti)

  Specified by:
    `afterTaskActivatedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskClaimedEvent

    public void afterTaskClaimedEvent(Task ti)

  Specified by:
    `afterTaskClaimedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskSkippedEvent

    public void afterTaskSkippedEvent(@Observes(notifyObserver=IF_EXISTS)
                                      Task task)

  Specified by:
    `afterTaskSkippedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskStartedEvent

    public void afterTaskStartedEvent(Task ti)

  Specified by:
    `afterTaskStartedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskStoppedEvent

    public void afterTaskStoppedEvent(Task ti)

  Specified by:
    `afterTaskStoppedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskCompletedEvent

    public void afterTaskCompletedEvent(@Observes(notifyObserver=IF_EXISTS)
                                        Task task)

  Specified by:
    `afterTaskCompletedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskFailedEvent

    public void afterTaskFailedEvent(@Observes(notifyObserver=IF_EXISTS)
                                     Task task)

  Specified by:
    `afterTaskFailedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskAddedEvent

    public void afterTaskAddedEvent(Task ti)

  Specified by:
    `afterTaskAddedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskExitedEvent

    public void afterTaskExitedEvent(Task ti)

  Specified by:
    `afterTaskExitedEvent` in interface `TaskLifeCycleEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.